Redmine - Patch #32341

Show tooltip when hovering on repeat-value link in Field permission tab

2019-10-25 08:38 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version: 4.0.8

Description

"Field permission" tab in the Workflow page has " »" (repeat-value) links. It copies the value of the drop-down to all drop-downs on

the right.

The feature is useful when the Redmine instance has many custom fields, roles, or trackers. However, in my experience, not a few
users don't know the feature because it is not so noticeable.

| think it can be improved a bit by adding a tooltip like "Copy" or "Duplicate" to the link.

Workflow

Fields permissions
Select a role and a tracker to edit the workflow:

Role: Manager Tracker: Bug

New

Standard fields
Project *
Tracker * Read-only
Subject *
Priority *

Private *

Edit Only display statuses that are used by this {

Issue status
Assigned Resolved Feedback

» »

Read-only » Read-only » Read-only
» »
» »

» »

Associated revisions

Revision 19694 - 2020-04-13 16:18 - Go MAEDA

Show tooltip when hovering on repeat-value link in Field permission tab (#32341).

Patch by Go MAEDA.

Revision 19695 - 2020-04-13 16:20 - Go MAEDA
Merged r19694 from trunk to 4.1-stable (#32341).

Revision 19696 - 2020-04-13 16:21 - Go MAEDA
Merged r19694 from trunk to 4.0-stable (#32341).

History

#1 - 2020-04-12 07:31 - Go MAEDA
- File 32341.patch added
- File tooltip-on-repeat-value-links.png added

- Target version set to Candidate for next major release

2025-07-13
The attached patch "Copy" tooltip on repeat-value links.

Priority * »
Private *
Assignee Required »
Category »
Taraget version »

#2 - 2020-04-12 18:24 - Marius BALTEANU

- Target version changed from Candidate for next major release to 4.2.0

#3 - 2020-04-13 08:22 - Marius BALTEANU
- Tracker changed from Feature to Patch

- Target version changed from 4.2.0 to 4.0.8

It's a small change, we can deliver it in a minor release.

#4 - 2020-04-13 16:21 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.
